var repair = 3; var damageGet = 1; var itemID = 2092; var maxDamage = 60;
var power = 5+Math.sqrt(digging_lvl*1.5); var breakSpeech = "There is always another shovel";
var tool = [10, 10, 10, 25, 70, 8, 6]; mainSkill = digging_lvl;

if (timing > 6) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}